; ##############################################################################
; ##############################################################################
; ##############################################################################
LCD_INITIALISIERUNG:
; Use 32 kHz crystal oscillator
; 1/3 Bias and 1/3 duty, SEG21:SEG24 is used as port pins
	ldi r16, (1<<LCDCS) | (1<<LCDMUX1)| (1<<LCDPM2)
	sts LCDCRB, r16
; Using 16 as prescaler selection and 7 as LCD Clock Divide
; gives a frame rate of 49 Hz
	ldi r16, (1<<LCDCD2) | (1<<LCDCD1)
	sts LCDFRR, r16
; Set segment drive time to 125 s and output voltage to 3.3 V
	ldi r16, (1<<LCDDC1) | (1<<LCDCC3) | (1<<LCDCC2) | (1<<LCDCC1)
	sts LCDCCR, r16
; Enable LCD, default waveform and no interrupt enabled
	ldi temp,(1<<LCDEN)|(0<<LCDAB)|(0<<LCDIF)|(0<<LCDIE)|(0<<LCDBL)
	sts LCDCRA, r16
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
LCD_CLEAR:
	STS(LCDDR0),NULL
	STS(LCDDR1),NULL
	STS(LCDDR2),NULL
	STS(LCDDR3),NULL
	STS(LCDDR5),NULL
	STS(LCDDR6),NULL
	STS(LCDDR7),NULL
	STS(LCDDR8),NULL
	STS(LCDDR10),NULL
	STS(LCDDR11),NULL
	STS(LCDDR12),NULL
	STS(LCDDR13),NULL
	STS(LCDDR15),NULL
	STS(LCDDR16),NULL
	STS(LCDDR17),NULL
	STS(LCDDR18),NULL

	STS(adr_LCD3),NULL
	STS(adr_LCD2),NULL
	STS(adr_LCD1),NULL
	STS(adr_LCD0),NULL
	rjmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
LCD_VOLL:
	STS(LCDDR0),VOLL
	STS(LCDDR1),VOLL
	STS(LCDDR2),VOLL
	STS(LCDDR3),VOLL
	STS(LCDDR5),VOLL
	STS(LCDDR6),VOLL
	STS(LCDDR7),VOLL
	STS(LCDDR8),VOLL
	STS(LCDDR10),VOLL
	STS(LCDDR11),VOLL
	STS(LCDDR12),VOLL
	STS(LCDDR13),VOLL
	STS(LCDDR15),VOLL
	STS(LCDDR16),VOLL
	STS(LCDDR17),VOLL
	STS(LCDDR18),VOLL
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
LCD_BARGRAPH_ON:
	LDS temp,(BAR_DDR)
	SBR temp,(BAR)
	STS(BAR_DDR),temp
ret
; ##############################################################################
LCD_BARGRAPH_OFF:
	LDS temp,(BAR_DDR)
	CBR temp,(BAR)
	STS(BAR_DDR),temp
ret
; ##############################################################################
LCD_AUTO_ON:
	LDS temp,(AUTO_DDR)
	SBR temp,(AUTO)	; AUTO_ON		
	STS(AUTO_DDR),temp
	LDS temp,(MANU_DDR)
	cBR temp,(MANU)	; MANU_OFF		
	STS(MANU_DDR),temp
ret
; ##############################################################################
LCD_MANU_ON:
	LDS temp,(MANU_DDR)
	SBR temp,(MANU)	; MANU_ON		
	STS(MANU_DDR),temp
	LDS temp,(AUTO_DDR)
	CBR temp,(AUTO)	; AUTO_OFF		
	STS(AUTO_DDR),temp
ret
; ##############################################################################
LCD_PROG_ON:
	LDS temp,(PROG_DDR)
	SBR temp,(PROG)
	STS(PROG_DDR),temp
ret
; ##############################################################################
LCD_PROG_OFF:
	LDS temp,(PROG_DDR)
	CBR temp,(PROG)
	STS(PROG_DDR),temp
ret
; ##############################################################################
LCD_PROG_BLINKEN:
	LDS temp,(adr_ss)
	SBRS temp,0; Skip if Bit in Register is Set
	rjmp LCD_PROG_ON
	rjmp LCD_PROG_OFF
; ##############################################################################
LCD_DOPPELPUNKT_ON:
	rcall LCD_PUNKT_UNTEN_ON
	rjmp  LCD_PUNKT_OBEN_ON
; ##############################################################################
LCD_DOPPELPUNKT_OFF:
	LDS temp,(PUNKT_DDR)
	CBR temp,(PUNKT)
	STS(PUNKT_DDR),temp
	LDS temp,(PUNKT2_DDR)
	CBR temp,(PUNKT2)
	STS(PUNKT2_DDR),temp
ret
; ##############################################################################
LCD_DOPPELPUNKT_BLINKEN:
	LDS temp,(adr_ss)
	SBRS temp,0; Skip if Bit in Register is Set
	rjmp LCD_DOPPELPUNKT_ON
	rjmp LCD_DOPPELPUNKT_OFF
; ##############################################################################
LCD_PUNKT_UNTEN_ON:
	LDS temp,(PUNKT_DDR)
	SBR temp,(PUNKT)
	STS(PUNKT_DDR),temp
ret
; ##############################################################################
LCD_PUNKT_OBEN_ON:
	LDS temp,(PUNKT2_DDR)
	SBR temp,(PUNKT2)
	STS(PUNKT2_DDR),temp
ret
; ##############################################################################
LCD_PUNKT_OBEN_OFF:
	LDS temp,(PUNKT2_DDR)
	CBR temp,(PUNKT2)
	STS(PUNKT2_DDR),temp
ret
; ##############################################################################
LCD_SONNE_ON:
	LDS temp,(SONNE_DDR)
	SBR temp,(SONNE)
	STS(SONNE_DDR),temp
ret
; ##############################################################################
LCD_MOND_ON:
	LDS temp,(MOND_DDR)
	SBR temp,(MOND)
	STS(MOND_DDR),temp
ret
; ##############################################################################
LCD_FROST_ON:
	LDS temp,(FROST_DDR)
	SBR temp,(FROST)
	STS(FROST_DDR),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
LCD_TEXT_TEMP1_4:
	STS(adr_LCD3),temp4
	STS(adr_LCD2),temp3
	STS(adr_LCD1),temp2
	STS(adr_LCD0),temp1
rjmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; nur 1 Stelle																	
LCD_ZAHL_1_TEMP1:		; Value: 0...9
	cpi temp1,(9+1)
	brlo LCD_ZAHL_1_TEMP1_w
	rjmp TEXT_MINUS
; ------------------------------------------------------------------------------
LCD_ZAHL_1_TEMP1_w:
	clr temp2
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp1	; LCD0	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD0),temp
	rjmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; nur 2 Stellen																	
LCD_ZAHL_2_TEMP1:		; Value: 0...99
	cpi temp1,(99+1)
	brlo LCD_ZAHL_2_TEMP1_w
	rjmp TEXT_MINUS
; ------------------------------------------------------------------------------
LCD_ZAHL_2_TEMP1_w:
	clr temp2
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp1	; LCD0	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD0),temp
	mov temp,temp2	; LCD1	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD1),temp
	rjmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 3 Stellen																		
LCD_ZAHL_TEMP1:		; Value: 0...255	
	clr temp2
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp1	; LCD0	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD0),temp
	mov temp,temp2	; LCD1	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD1),temp
	mov temp,temp3	; LCD2	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD2),temp
	ldi temp,(LCD_)	; LCD3	
	STS(adr_LCD3),temp
	rjmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 3 Stellen	(negativ)															
LCD_ZAHL_NEG_TEMP1:		; Value: 
	tst temp1
	brmi LCD_ZAHL_NEG_TEMP1_NEG
;-------------------------------------------------------------------------------
	clr temp2
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp1	; LCD0	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD0),temp
	mov temp,temp2	; LCD1	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD1),temp
	mov temp,temp3	; LCD2	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD2),temp
	ldi temp,(LCD_)	; LCD3	
	STS(adr_LCD3),temp
	rjmp LCD_ZIFFERN_WRITE
;-------------------------------------------------------------------------------
LCD_ZAHL_NEG_TEMP1_NEG:		; Value: -128...0...127
	com temp1		; invertieren	
	inc temp1
	clr temp2
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp1	; LCD0	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD0),temp
	mov temp,temp2	; LCD1	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD1),temp
	mov temp,temp3	; LCD2	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD2),temp
	ldi temp,(LCD_MINUS); LCD3	
	STS(adr_LCD3),temp
	rjmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 4  Stellen																	
LCD_ZAHL_TEMP1_2:	; Value: 0...9.999	
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp1	; LCD0	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD0),temp
	mov temp,temp2	; LCD1	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD1),temp
	mov temp,temp3	; LCD2	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD2),temp
	mov temp,temp4	; LCD3	
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD3),temp
	rjmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
LCD_TEMPERATUR_TEMP1_2:
	tst temp1
	brne LCD_TEMPERATUR_RUN
	tst temp2
	brne LCD_TEMPERATUR_RUN
	ldi temp4,(LCD_O)
	ldi temp3,(LCD_F)
	ldi temp2,(LCD_F)
	ldi temp1,(LCD_)
	STS(adr_LCD3),temp4
	STS(adr_LCD2),temp3
	STS(adr_LCD1),temp2
	STS(adr_LCD0),temp1
	rjmp LCD_ZIFFERN_WRITE
; ------------------------------------------------------------------------------
LCD_TEMPERATUR_RUN:
	cpi temp2,HIGH(999)
	breq LCD_TEMPERATUR_L
	brlo LCD_TEMPERATUR_ACTION
	rjmp LCD_TEMPERATUR_ERROR
LCD_TEMPERATUR_L:
	cpi temp1,LOW(999)
	breq LCD_TEMPERATUR_ACTION
	brlo LCD_TEMPERATUR_ACTION
	rjmp LCD_TEMPERATUR_ERROR
; ------------------------------------------------------------------------------
LCD_TEMPERATUR_ERROR:
	rjmp TEXT_MINUS
; ------------------------------------------------------------------------------
LCD_TEMPERATUR_ACTION:
	call LCD_PUNKT_UNTEN_ON
	rcall FUNKTION_HEX_ASCII_TEMP1_2
; ------------------------------------------------------------------------------
	ldi temp,(LCD_GRD)
	STS(adr_LCD0),temp	; LCD0	
	mov temp,temp1
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD1),temp	; LCD1	
	mov temp,temp2
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD2),temp	; LCD2	
	mov temp,temp3
	rcall LCD_UMWANDLUNG_TEMP
	cpi temp,(LCD_0)	; Nullstellenunterdrckung
	brne PC+2
	ldi temp,(LCD_)
	STS(adr_LCD3),temp	; LCD3	
	rjmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
LCD_UMWANDLUNG_TEMP:
	cpi temp,'0'
	breq LCD_UMWANDLUNG_0
	cpi temp,'1'
	breq LCD_UMWANDLUNG_1
	cpi temp,'2'
	breq LCD_UMWANDLUNG_2
	cpi temp,'3'
	breq LCD_UMWANDLUNG_3
	cpi temp,'4'
	breq LCD_UMWANDLUNG_4
	cpi temp,'5'
	breq LCD_UMWANDLUNG_5
	cpi temp,'6'
	breq LCD_UMWANDLUNG_6
	cpi temp,'7'
	breq LCD_UMWANDLUNG_7
	cpi temp,'8'
	breq LCD_UMWANDLUNG_8
	cpi temp,'9'
	breq LCD_UMWANDLUNG_9
	; ERROR	
	ldi temp,0b01000000
	ret
;-------------------------------------------------------------------------------
LCD_UMWANDLUNG_0:
	ldi temp,(LCD_0)
	ret
LCD_UMWANDLUNG_1:
	ldi temp,(LCD_1)
	ret
LCD_UMWANDLUNG_2:
	ldi temp,(LCD_2)
	ret
LCD_UMWANDLUNG_3:
	ldi temp,(LCD_3)
	ret
LCD_UMWANDLUNG_4:
	ldi temp,(LCD_4)
	ret
LCD_UMWANDLUNG_5:
	ldi temp,(LCD_5)
	ret
LCD_UMWANDLUNG_6:
	ldi temp,(LCD_6)
	ret
LCD_UMWANDLUNG_7:
	ldi temp,(LCD_7)
	ret
LCD_UMWANDLUNG_8:
	ldi temp,(LCD_8)
	ret
LCD_UMWANDLUNG_9:
	ldi temp,(LCD_9)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Version 10/2017																
;																				
;	Value: 0...	4.294.967.295													
;																				
;	INPUT: 	temp1	(BYTE1)														
;	 		temp2	(BYTE2)														
;																				
;	OUTPUT:	temp1	(		    1-er Stelle)									
;			temp2	(		   10-er Stelle)									
;			temp3	(         100-er Stelle)									
;			temp4	(       1.000-er Stelle)									
;			temp5	(      10.000-er Stelle)									
FUNKTION_HEX_ASCII_TEMP1_2:
	clr temp
FUNKTION_HEX_ASC_10000:
	inc temp
	subi temp1, BYTE1    (10000)
	sbci temp2, BYTE2    (10000)
	brcc FUNKTION_HEX_ASC_10000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp5) auf dem Stack sichern            
	subi temp1, BYTE1  (-10000)
	sbci temp2, BYTE2  (-10000)
	clr temp
FUNKTION_HEX_ASC_1000:
	inc temp
	subi temp1, low  (1000)
	sbci temp2, HIGH (1000)
	brcc FUNKTION_HEX_ASC_1000
	dec temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp4) auf dem Stack sichern            
	subi temp1, low  (-1000)
	sbci temp2, HIGH (-1000)
	clr temp
FUNKTION_HEX_ASC_100:
	inc temp
	subi temp1, low  (100)
	sbci temp2, HIGH (100)
	brcc FUNKTION_HEX_ASC_100
	dec temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp3) auf dem Stack sichern            
	subi temp1, low  (-100)
	sbci temp2, HIGH (-100)
	clr temp
FUNKTION_HEX_ASC_10:
	inc temp
	subi temp1, low  (10)
	sbci temp2, HIGH (10)
	brcc FUNKTION_HEX_ASC_10
	dec temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp2) auf dem Stack sichern            
	subi temp1, low  (-10)
	sbci temp2, HIGH (-10)
FUNKTION_HEX_ASC_1:	
	subi temp1, -48		; HEX->ASC

	pop	TEMP2			; LESEN vom STACK (KOPIE)
	pop	TEMP3			; LESEN vom STACK (KOPIE)
	pop	TEMP4			; LESEN vom STACK (KOPIE)
	pop	TEMP5			; LESEN vom STACK (KOPIE)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INP: temp1																
; OUT: (z.B."FF") 															
;																			
LCD_HEX_TEMP1:
	push temp						; SICHERUNGSKOPIE						
	push temp1
	mov temp,temp1					; oberes NIBBLE bearbeiten					
	swap temp						; NIBBLES tausch	
	rcall LCD_HEX_UMWANDLUNG_TEMP	; INP/OUT: temp		
	STS(adr_LCD1),temp				; ANZEIGE			

	mov temp,temp1					; unteres NIBBLE bearbeiten					
	rcall LCD_HEX_UMWANDLUNG_TEMP	; INP/OUT: temp		
	STS(adr_LCD0),temp				; ANZEIGE			

	pop temp1						; SICHERUNGSKOPIE wieder herstellen		
	pop temp
	call LCD_ZIFFERN_WRITE			; write				
	ret
;-------------------------------------------------------------------------------
LCD_HEX_UMWANDLUNG_TEMP:
	andi temp,0b00001111	; BITMUSTER	
	cpi temp,0
	breq LCD_HEX_UMWANDLUNG_0
	cpi temp,1
	breq LCD_HEX_UMWANDLUNG_1
	cpi temp,2
	breq LCD_HEX_UMWANDLUNG_2
	cpi temp,3
	breq LCD_HEX_UMWANDLUNG_3
	cpi temp,4
	breq LCD_HEX_UMWANDLUNG_4
	cpi temp,5
	breq LCD_HEX_UMWANDLUNG_5
	cpi temp,6
	breq LCD_HEX_UMWANDLUNG_6
	cpi temp,7
	breq LCD_HEX_UMWANDLUNG_7
	cpi temp,8
	breq LCD_HEX_UMWANDLUNG_8
	cpi temp,9
	breq LCD_HEX_UMWANDLUNG_9

	cpi temp,10
	breq LCD_HEX_UMWANDLUNG_A
	cpi temp,11
	breq LCD_HEX_UMWANDLUNG_B
	cpi temp,12
	breq LCD_HEX_UMWANDLUNG_C
	cpi temp,13
	breq LCD_HEX_UMWANDLUNG_D
	cpi temp,14
	breq LCD_HEX_UMWANDLUNG_E
	rjmp LCD_HEX_UMWANDLUNG_F
ret
;-------------------------------------------------------------------------------
LCD_HEX_UMWANDLUNG_0:
	ldi temp,(LCD_0)
	ret
LCD_HEX_UMWANDLUNG_1:
	ldi temp,(LCD_1)
	ret
LCD_HEX_UMWANDLUNG_2:
	ldi temp,(LCD_2)
	ret
LCD_HEX_UMWANDLUNG_3:
	ldi temp,(LCD_3)
	ret
LCD_HEX_UMWANDLUNG_4:
	ldi temp,(LCD_4)
	ret
LCD_HEX_UMWANDLUNG_5:
	ldi temp,(LCD_5)
	ret
LCD_HEX_UMWANDLUNG_6:
	ldi temp,(LCD_6)
	ret
LCD_HEX_UMWANDLUNG_7:
	ldi temp,(LCD_7)
	ret
LCD_HEX_UMWANDLUNG_8:
	ldi temp,(LCD_8)
	ret
LCD_HEX_UMWANDLUNG_9:
	ldi temp,(LCD_9)
	ret
LCD_HEX_UMWANDLUNG_A:
	ldi temp,(LCD_A)
	ret
LCD_HEX_UMWANDLUNG_B:
	ldi temp,(LCD_B)
	ret
LCD_HEX_UMWANDLUNG_C:
	ldi temp,(LCD_C)
	ret
LCD_HEX_UMWANDLUNG_D:
	ldi temp,(LCD_D)
	ret
LCD_HEX_UMWANDLUNG_E:
	ldi temp,(LCD_E)
	ret
LCD_HEX_UMWANDLUNG_F:
	ldi temp,(LCD_F)
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
LCD_ZIFFERN_WRITE:
	LDS temp1,(adr_LCD0)	; SRAM load		
	LDS temp,(DIG_DDR_0A)	; DDR load		
	sbr temp,(DIG_0A)		; set BIT		
	sbrs temp1,0			; Skip if Bit in Register is Set			
	cbr temp,(DIG_0A)		; clear BIT		
	STS(DIG_DDR_0A),temp	; DDR save		

	LDS temp,(DIG_DDR_0B)
	sbr temp,(DIG_0B)
	sbrs temp1,1
	cbr temp,(DIG_0B)
	STS(DIG_DDR_0B),temp

	LDS temp,(DIG_DDR_0C)
	sbr temp,(DIG_0C)
	sbrs temp1,2
	cbr temp,(DIG_0C)
	STS(DIG_DDR_0C),temp

	LDS temp,(DIG_DDR_0D)
	sbr temp,(DIG_0D)
	sbrs temp1,3
	cbr temp,(DIG_0D)
	STS(DIG_DDR_0D),temp

	LDS temp,(DIG_DDR_0E)
	sbr temp,(DIG_0E)
	sbrs temp1,4
	cbr temp,(DIG_0E)
	STS(DIG_DDR_0E),temp

	LDS temp,(DIG_DDR_0F)
	sbr temp,(DIG_0F)
	sbrs temp1,5
	cbr temp,(DIG_0F)
	STS(DIG_DDR_0F),temp

	LDS temp,(DIG_DDR_0G)
	sbr temp,(DIG_0G)
	sbrs temp1,6
	cbr temp,(DIG_0G)
	STS(DIG_DDR_0G),temp
;-------------------------------------------------------------------------------
	LDS temp1,(adr_LCD1)	; SRAM load		
	LDS temp,(DIG_DDR_1A)	; DDR load		
	sbr temp,(DIG_1A)		; set BIT		
	sbrs temp1,0			; Skip if Bit in Register is Set			
	cbr temp,(DIG_1A)		; clear BIT		
	STS(DIG_DDR_1A),temp	; DDR save		

	LDS temp,(DIG_DDR_1B)
	sbr temp,(DIG_1B)
	sbrs temp1,1
	cbr temp,(DIG_1B)
	STS(DIG_DDR_1B),temp

	LDS temp,(DIG_DDR_1C)
	sbr temp,(DIG_1C)
	sbrs temp1,2
	cbr temp,(DIG_1C)
	STS(DIG_DDR_1C),temp

	LDS temp,(DIG_DDR_1D)
	sbr temp,(DIG_1D)
	sbrs temp1,3
	cbr temp,(DIG_1D)
	STS(DIG_DDR_1D),temp

	LDS temp,(DIG_DDR_1E)
	sbr temp,(DIG_1E)
	sbrs temp1,4
	cbr temp,(DIG_1E)
	STS(DIG_DDR_1E),temp

	LDS temp,(DIG_DDR_1F)
	sbr temp,(DIG_1F)
	sbrs temp1,5
	cbr temp,(DIG_1F)
	STS(DIG_DDR_1F),temp

	LDS temp,(DIG_DDR_1G)
	sbr temp,(DIG_1G)
	sbrs temp1,6
	cbr temp,(DIG_1G)
	STS(DIG_DDR_1G),temp
;-------------------------------------------------------------------------------
	LDS temp1,(adr_LCD2)	; SRAM load		
	LDS temp,(DIG_DDR_2A)	; DDR load		
	sbr temp,(DIG_2A)		; set BIT		
	sbrs temp1,0			; Skip if Bit in Register is Set			
	cbr temp,(DIG_2A)		; clear BIT		
	STS(DIG_DDR_2A),temp	; DDR save		

	LDS temp,(DIG_DDR_2B)
	sbr temp,(DIG_2B)
	sbrs temp1,1
	cbr temp,(DIG_2B)
	STS(DIG_DDR_2B),temp

	LDS temp,(DIG_DDR_2C)
	sbr temp,(DIG_2C)
	sbrs temp1,2
	cbr temp,(DIG_2C)
	STS(DIG_DDR_2C),temp

	LDS temp,(DIG_DDR_2D)
	sbr temp,(DIG_2D)
	sbrs temp1,3
	cbr temp,(DIG_2D)
	STS(DIG_DDR_2D),temp

	LDS temp,(DIG_DDR_2E)
	sbr temp,(DIG_2E)
	sbrs temp1,4
	cbr temp,(DIG_2E)
	STS(DIG_DDR_2E),temp

	LDS temp,(DIG_DDR_2F)
	sbr temp,(DIG_2F)
	sbrs temp1,5
	cbr temp,(DIG_2F)
	STS(DIG_DDR_2F),temp

	LDS temp,(DIG_DDR_2G)
	sbr temp,(DIG_2G)
	sbrs temp1,6
	cbr temp,(DIG_2G)
	STS(DIG_DDR_2G),temp
;-------------------------------------------------------------------------------
	LDS temp1,(adr_LCD3)	; SRAM load		
	LDS temp,(DIG_DDR_3A)	; DDR load		
	sbr temp,(DIG_3A)		; set BIT		
	sbrs temp1,0			; Skip if Bit in Register is Set			
	cbr temp,(DIG_3A)		; clear BIT		
	STS(DIG_DDR_3A),temp	; DDR save		

	LDS temp,(DIG_DDR_3B)
	sbr temp,(DIG_3B)
	sbrs temp1,1
	cbr temp,(DIG_3B)
	STS(DIG_DDR_3B),temp

	LDS temp,(DIG_DDR_3C)
	sbr temp,(DIG_3C)
	sbrs temp1,2
	cbr temp,(DIG_3C)
	STS(DIG_DDR_3C),temp

	LDS temp,(DIG_DDR_3D)
	sbr temp,(DIG_3D)
	sbrs temp1,3
	cbr temp,(DIG_3D)
	STS(DIG_DDR_3D),temp

	LDS temp,(DIG_DDR_3E)
	sbr temp,(DIG_3E)
	sbrs temp1,4
	cbr temp,(DIG_3E)
	STS(DIG_DDR_3E),temp

	LDS temp,(DIG_DDR_3F)
	sbr temp,(DIG_3F)
	sbrs temp1,5
	cbr temp,(DIG_3F)
	STS(DIG_DDR_3F),temp

	LDS temp,(DIG_DDR_3G)
	sbr temp,(DIG_3G)
	sbrs temp1,6
	cbr temp,(DIG_3G)
	STS(DIG_DDR_3G),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################


